[Interest] Qt 5.9 and OpenSSL 1.1?

René J.V. Bertin rjvbertin at gmail.com
Wed Mar 20 22:59:39 CET 2019


>Because it is a major rewrite of QtNetwork code interfacing with OpenSSL. Such change
>cannot go to LTS branch [1]

Now maybe (though I'd argue this is a bug fix; OSSL 1.0 will go EOL 5 months before Qt 5.9). But that was not the question.

5.9.0 was released on May 31st 2017 (https://en.wikipedia.org/wiki/Qt_version_history#Qt_5), two full months after the fix in question. Qt 5.10 was released half a year later, so the fix could easily have gone into 5.9.0 or 5.9.1 .

R.


More information about the Interest mailing list